%define name	byacc
%define version	1.9
%define release	9mdk

Summary:	A public domain Yacc parser generator.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	public domain
Group:		Development/Other
Source:		ftp://ftp.cs.berkeley.edu/ucb/4bsd/byacc.1.9.tar.bz2
Patch0:		byacc-1.9-fixmanpage.patch.bz2
Patch1:		byacc-1.9-automake.patch.bz2
Patch2:		byacc-1.9-security.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Byacc (Berkeley Yacc) is a public domain LALR parser generator which
is used by many programs during their build process.  

If you are going to do development on your system, you will want to install
this package.

%prep
%setup -c -n byacc-1.9

chmod -R +w .
%patch0 -p1 -b .fixmanpage
%patch1 -p1 -b .automake
%patch2 -p1 -b .security

autoheader
automake --add-missing --foreign
aclocal
autoconf

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
( cd $RPM_BUILD_ROOT/usr/bin ; ln -s yacc byacc )

%clean
chmod u+w $RPM_BUILD_DIR/%{name}-%{version} -R
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS NEW_FEATURES NOTES
%doc NO_WARRANTY README
%{_bindir}/yacc
%{_bindir}/byacc
%{_mandir}/man1/*

%changelog
* Wed Mar  7 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.9-9mdk
- patch for safer creation of temp files

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.9-8mdk
- more docs
- convert build to autoconf/automake for much clearer spec

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9-7mdk
- BM
- let spechelper compress manpages

* Mon Jul 17 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.9-6mdk
- macroszifications
- change permision of build dir in order to remove it

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.9-5mdk
- removed version from spec filename

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.9-4mdk
- updated BuildRoot
- group now Development/Other

* Tue Nov  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- man page fixed.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
